workspace "Fencer-Template"
  architecture "x64"
  configurations { "Debug", "Release", "Dist" }
  language "C"
  startproject "Game"

  filter "system:windows"
    defines { "SDL_MAIN_HANDLED", "_CRT_SECURE_NO_WARNINGS" }
    buildoptions { "/EHsc", "/Zc:preprocessor" }

  OutputDir = "%{cfg.system}-%{cfg.architecture}/%{cfg.buildcfg}"

  group "Core"
    include "core/Build-Core.lua"
  group ""

  libdirs {
    os.findlib("SDL2"),
    os.findlib("SDL2_image"),
    os.findlib("SDL2_ttf"),
    os.findlib("m"),
    os.findlib("cJSON")
  }

  include "game/Build-Game.lua"
